Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 111508

Summary: Adding the examples USE flag to packages installing example source code
Product: Gentoo Linux Reporter: Petteri Räty (RETIRED) <betelgeuse>
Component: [OLD] UnspecifiedAssignee: Gentoo Quality Assurance Team <qa>
Status: RESOLVED OBSOLETE    
Severity: normal CC: pacho
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Petteri Räty (RETIRED) gentoo-dev 2005-11-04 14:25:28 UTC
I used the following code for finding packages that install examples
unconditionally:

pena doc # find /usr/share/doc/ -type d -name "examples" | xargs qfile
app-text/aspell (/usr/share/doc/aspell-0.60.3/examples)
sys-apps/sed (/usr/share/doc/sed-4.1.4/examples)
sys-apps/util-linux (/usr/share/doc/util-linux-2.12r-r1/examples)
sys-apps/busybox (/usr/share/doc/busybox-1.01/examples)
sys-apps/groff (/usr/share/doc/groff-1.19.1-r2/examples)
net-fs/samba (/usr/share/doc/samba-3.0.20b/examples)
dev-libs/libxml2 (/usr/share/doc/libxml2-python-2.6.22/examples)
dev-libs/libxml2 (/usr/share/doc/libxml2-2.6.22/examples)
dev-ruby/rubygems (/usr/share/doc/rubygems-0.8.11-r1/examples)
dev-util/subversion (/usr/share/doc/subversion-1.2.3-r3/examples)

subversion is already reported and manually looking at the list the following
package don't install source code in examples: busybox, util-linux. Maintainers:
please check your packages and add the examples use flag if appropriate.

pena betelgeuse # grep examples /usr/portage/profiles/use.*
/usr/portage/profiles/use.desc:examples - Install example source code
Comment 1 Caleb Tennis (RETIRED) gentoo-dev 2005-11-04 15:45:59 UTC
rubygems (and all things inheriting ruby.eclass) now fixed.
Comment 2 Petteri Räty (RETIRED) gentoo-dev 2005-11-04 15:51:25 UTC
Reopening as other packages still left.
Comment 3 Caleb Tennis (RETIRED) gentoo-dev 2005-11-04 16:09:43 UTC
sorry, didn't mean to close - just remove CC :)
Comment 4 Christian Andreetta (RETIRED) gentoo-dev 2005-11-08 05:16:57 UTC
samba ebuilds fixed
Comment 5 Petteri Räty (RETIRED) gentoo-dev 2005-11-21 04:18:30 UTC
pena dialog # qfile /usr/share/doc/dialog-1.0.20051107/samples/
dev-util/dialog (/usr/share/doc/dialog-1.0.20051107/samples)

dialog is missing metadata.xml so adding the last person to touch it to CC.
Comment 6 Harald van Dijk (RETIRED) gentoo-dev 2005-11-21 05:35:50 UTC
dialog is fixed now.
Comment 7 Petteri Räty (RETIRED) gentoo-dev 2006-05-14 04:36:33 UTC
pycairo needs this too
Comment 8 Tiziano Müller (RETIRED) gentoo-dev 2007-01-06 16:00:35 UTC
pycairo done.
Comment 9 Wulf Krueger (RETIRED) gentoo-dev 2007-08-18 12:20:23 UTC
aspell done. (Better late than never. :) )
Comment 10 Gilles Dartiguelongue gentoo-dev 2008-02-28 22:59:29 UTC
dev-libs/libxml2 and dev-libs/libxslt done,
at least dev-util/gtk-doc and dev-python/pygtkglext left to do for gnome (afaik).

I might fix dev-libs/libdaemon as well.
Comment 11 Gilles Dartiguelongue gentoo-dev 2008-10-05 22:23:33 UTC
looks like with a ~arch system gnome is now clear. removing us from CC.
Comment 12 Pacho Ramos gentoo-dev 2012-03-19 09:52:24 UTC
What is current status of this for base-system packages?
Comment 13 Samuli Suominen (RETIRED) gentoo-dev 2012-03-19 10:46:59 UTC
(In reply to comment #12)
> What is current status of this for base-system packages?

This should have been a Tracker in the first place. 
We can close this with request of filing one bug per package as these (old) lists have never been very useful.